Retrieve statement entries as JSON
GET
/api/v1/banking/statements
const url = 'https://core.example.com/api/v1/banking/statements?statement%5Btimezone%5D=UTC';const options = {method: 'GET', headers: {'session-token': '<session-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://core.example.com/api/v1/banking/statements?statement%5Btimezone%5D=UTC' \ --header 'session-token: <session-token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”segregated_account_id
integer
ID of a business account accessible to the current user
statement[bank_account_id]
integer
statement[statement_range]
string format: date
statement[statement_range_to]
string format: date
statement[timezone]
string
Responses
Section titled “ Responses ”Statement data
Media typeapplication/json
object
success
required
boolean
status
required
integer
Example
{ "success": true, "status": 200}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}